<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qmth.themis.business.dao.TMTencentVideoMessageMapper">

    <select id="videoQuery" resultType="com.qmth.themis.business.entity.TMTencentVideoMessage">
        select
            tmtvm.*,
            toer.*
        from
        t_m_tencent_video_message tmtvm
            join t_oe_exam_record toer on toer.id = tmtvm.exam_record_id
        <where> 1 = 1
            <if test="examId != null and examId !=''">
                and toer.exam_id = #{examId}
            </if>
        </where>
    </select>
</mapper>
